Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
XMLDOMNode Class Referenceabstract

The XMLDOMNode interface is the primary datatype for the entire Document Object Model. More...

Inherits Object.

Inherited by XMLDOMDocument`[virtual]`, and XMLDOMElement`[virtual]`.

## Public Types
enum | XMLDOMNodeType { NOT_IMPLEMENTED_NODE = 0, ELEMENT_NODE = 1, DOCUMENT_NODE = 9 }

## Public Member Functions
virtual XMLDOMNodeListPtr | getChildNodes ()=0
virtual XMLDOMNodeType | getNodeType ()=0
virtual XMLDOMDocumentPtr | getOwnerDocument ()=0
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual void | addRef () const =0
virtual void | releaseRef () const =0
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Additional Inherited Members
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()

## Detailed Description

The XMLDOMNode interface is the primary datatype for the entire Document Object Model.

## Member Enumeration Documentation

enum XMLDOMNodeType

Enumerator
NOT_IMPLEMENTED_NODE |
ELEMENT_NODE |
DOCUMENT_NODE |

## Member Function Documentation

virtual XMLDOMNodeListPtr getChildNodes | ( |  | ) |
| pure virtual

virtual XMLDOMNodeType getNodeType | ( |  | ) |
| pure virtual

virtual XMLDOMDocumentPtr getOwnerDocument | ( |  | ) |
| pure virtual

The documentation for this class was generated from the following file:

- xml.h